Home
Reading
Searching
Subscribe
Sponsors
Statistics
Posting
Contact
Spam
Lists
Links
About
Hosting
Filtering
Features Download
Marketing
Archives
FAQ
Blog
 
Gmane
From: Mark Lawrence <nomad <at> null.net>
Subject: Bug#501688: dh-make-perl ignoring build_requires in Makefile.PL
Newsgroups: gmane.linux.debian.devel.bugs.general
Date: Thursday 9th October 2008 15:37:46 UTC (over 8 years ago)
Package: dh-make-perl
Version: 0.47
Severity: normal


dh-make-perl appears to either ignore, or doesn't recognise the
build_requires statement used in Module::Install type Makefile.PL
files.

    build_requires  'Test::More'            => 0;
    build_requires  'Test::Exception'       => 0;
    build_requires  'Test::Memory::Cycle'   => 0;
    build_requires  'Test::Pod'             => 0;

Consequently the Build-Depends: tag in debian/control is not correct.

-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (500, 'testing'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.21.3 (SMP w/1 CPU core)
Locale: LANG=C, LC_CTYPE=C (charmap=UTF-8) (ignored: LC_ALL set to
en_US.utf8)
Shell: /bin/sh linked to /bin/bash

Versions of packages dh-make-perl depends on:
ii  debhelper                     7.0.15     helper programs for
debian/rules
ii  dpkg-dev                      1.14.22    Debian package development
tools
ii  fakeroot                      1.9.5      Gives a fake root environment
ii  libemail-date-format-perl     1.002-1    Module to generate
RFC-2822-valid 
ii  libmodule-depends-perl        0.14-1     identify the dependencies of a
dis
ii  libwww-mechanize-perl         1.34-2     Automate interaction with
websites
ii  libyaml-perl                  0.66-1     YAML Ain't Markup Language
(tm)
ii  make                          3.81-5     The GNU version of the "make"
util
ii  perl                          5.10.0-14  Larry Wall's Practical
Extraction 
ii  perl-modules [libpod-parser-p 5.10.0-14  Core Perl modules

Versions of packages dh-make-perl recommends:
ii  apt-file                     2.1.5       APT package searching utility
-- c
ii  libmodule-build-perl         0.2808.01-2 Subclassable and
make-independent 
ii  perl-modules [libmodule-buil 5.10.0-14   Core Perl modules

dh-make-perl suggests no packages.

-- no debconf information
 
CD: 14ms